import { useEffect, useState } from "react";
import './style.css'

const reply = details => {
    return (
        <li className="comment-li" key={details.id}>
            <details className="comment-details" open>
                <summary className="comment-user">
                    { details.user_website ? <a href={details.user_website}>{details.user}</a> : details.user }
                </summary>
                <p dangerouslySetInnerHTML={{ __html: details.message }} />
            </details>
        </li>
    )
};

export default function CommentList({ url, site, path, comments, setComments, setError }) {
    useEffect(() => {
        fetch(url + '/api/' + site + '/' + path)
          .then(response => { return response.json() })
          .then(data => setComments(data))
          .catch(error => {
              console.log(error);
              setError("שגיאת התחברות.");
          });
    }, []);

    return (
       <div className="comments-list">
           <h3>
               { comments.length == 1 ? "תגובה אחת" : comments.length + " תגובות" }
           </h3>
           <div>
               <ul className="comments">
                   {comments.map(comment => reply(comment))}
               </ul>
           </div>
       </div>
    )
}
