import { useState } from "react";
import CommentList from './CommentList.jsx';
import CommentForm from './CommentForm.jsx';

export default function Comments({ url, site, path }) {
    const [comments, setComments] = useState([]);
    const [error, setError] = useState(null);

    return (
        <div className="ucs-comments">

            <CommentList
                url={url}
                site={site}
                path={path}
                comments={comments}
                setComments={setComments}
                setError={setError}
            />

            <CommentForm
                url={url}
                site={site}
                path={path}
                setComments={setComments}
                setError={setError}
            />

            <div className="error"><p>{error}</p></div>

        </div>
    )
}
