# Universal Comment System

A web service adding comments to websites.

The backend service serves as a simple read/write database for comments per website page,
and the frontend is an embeddable component you can place in your page that will interact with
the backend service.

## Screenshot

<img src="screenshot.png" alt="screnshot">

## Build

Requires Node.js.

Use `./bundle.sh` to generate a `.tar.gz` containing the service.

## Run

Extract the archive file produced by `bundle.sh` into a directory.
For example:

```sh
mkdir ucs/ && tar xzvf ucs-*.tar.gz -C ucs/
```

Create a configuration file for your website in `./ucs/config/production.json`.
See [backend/config/default.json](./backend/config/default.json) for an example configuration.

Then add the following HTML to your website page, changing the parameters marked in `[]`:

```html
<div id="ucs-comments"
     data-element="ucs-comments"
     data-ucs_url="[SERVICE_URL]"
     data-site="[WEBSITE]"
     data-path="[PAGE_PATH]"
></div>
<script type="module" src="[SERVICE_URL]/ucs.js"></script>
<link rel="stylesheet" type="text/css" href="[SERVICE_URL]/ucs.css">
```
